'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _light = require('react-syntax-highlighter/light');

var _light2 = _interopRequireDefault(_light);

var _prismLight = require('react-syntax-highlighter/prism-light');

var _prismLight2 = _interopRequireDefault(_prismLight);

var _prism = require('react-syntax-highlighter/styles/prism');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Code = function Code(props) {
  var children = props.children,
      renderer = props.renderer,
      className = props.className,
      theme = props.theme,
      lineNumbers = props.lineNumbers,
      lineNumberStyle = props.lineNumberStyle,
      inlineStyle = props.inlineStyle;


  if (!className) {
    return _react2.default.createElement(
      'code',
      { style: inlineStyle },
      children
    );
  }

  var language = className ? className.split('-')[1] : null;

  var Syntax = renderer === 'highlight' ? _light2.default : _prismLight2.default;

  return _react2.default.createElement(
    Syntax,
    {
      style: theme,
      language: language,
      showLineNumbers: lineNumbers,
      lineNumberStyle: lineNumberStyle,
      useInlineStyles: true
    },
    children
  );
};

Code.defaultProps = {
  theme: _prism.atomDark,
  lineNumbers: false,
  lineNumberStyle: { opacity: 0.3 },
  inlineStyle: {},
  renderer: 'prism'
};

exports.default = Code;