'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _markdownToJsx = require('markdown-to-jsx');

var _markdownToJsx2 = _interopRequireDefault(_markdownToJsx);

var _styles = require('./styles');

var _Code = require('../Code');

var _Code2 = _interopRequireDefault(_Code);

var _Header = require('./overrides/Header');

var _Header2 = _interopRequireDefault(_Header);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Smackdown = function Smackdown(props) {
  var options = {
    overrides: _extends({
      code: {
        component: _Code2.default,
        props: props.syntax
      },
      h1: {
        component: _Header2.default,
        props: { level: 1 }
      },
      h2: {
        component: _Header2.default,
        props: { level: 2 }
      },
      h3: {
        component: _Header2.default,
        props: { level: 3 }
      },
      h4: {
        component: _Header2.default,
        props: { level: 4 }
      },
      h5: {
        component: _Header2.default,
        props: { level: 5 }
      },
      h6: {
        component: _Header2.default,
        props: { level: 6 }
      }
    }, props.overrides)
  };

  return _react2.default.createElement(
    _styles.Wrapper,
    null,
    _react2.default.createElement(
      _markdownToJsx2.default,
      { options: options },
      props.source
    )
  );
};

Smackdown.defaultProps = {};

exports.default = Smackdown;