'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n  color: rgba(0,0,0,.7);\n  margin: 1rem 0 0 0;\n  text-decoration: none;\n  display: block;\n\n  &:hover {\n    ::after {\n      position: relative;\n      left: 10px;\n      content: "\u21B5";\n      font-weight: bold;\n      display: inline-block;\n    }\n  }\n'], ['\n  color: rgba(0,0,0,.7);\n  margin: 1rem 0 0 0;\n  text-decoration: none;\n  display: block;\n\n  &:hover {\n    ::after {\n      position: relative;\n      left: 10px;\n      content: "\\u21b5";\n      font-weight: bold;\n      display: inline-block;\n    }\n  }\n']);

exports.default = function (props) {
  var _props$level = props.level,
      level = _props$level === undefined ? 1 : _props$level,
      children = props.children;

  // Turn headers into linkable IDs

  var text = children[0];
  var itemId = typeof text === 'string' ? text.toLowerCase().split(' ').join('-') : '';

  return _react2.default.createElement(
    Link,
    { href: '#' + itemId, id: itemId },
    _react2.default.createElement(levels[level], { style: style }, children)
  );
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactEmotion = require('react-emotion');

var _reactEmotion2 = _interopRequireDefault(_reactEmotion);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Link = (0, _reactEmotion2.default)('a')(_templateObject);

var style = {
  display: 'inline-block'
};

var levels = {
  1: 'h1',
  2: 'h2',
  3: 'h3',
  4: 'h4',
  5: 'h5',
  6: 'h6'
};